Subject: Re: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Óscar Fuentes <[email-masked]>
Date: Sun, 27 Mar 2016 18:37:10 +0200

Eli Zaretskii <[email-masked]> writes:

>> Again, the question nobody dares to answer: is there a legit case where
>> the user benefits from marking the buffer as modified after applying or
>> changing text properties?
>> 
>> >From the lack of response so far, I guess that the answer is "no".
>
> This is the tail wagging the dog: we are not going to overturn a
> long-standing way Emacs works with text properties for the sake of a
> minor feature.

"minor" is your judgement. And so far there is zero evidence that this
change could cause undesired effects. So we have users suffering this
bug (yes, it is obvious to some of us that it is a bug) and, OTOH, we
have FUD.

> If you really want this feature to be accepted,

Sorry Eli, but as much as I appreciate your opinions, I'm not submitting
the feature for *your* approval. You are not the only one that can
approve (or reject) the patch (once we have one.)

> please find a way of doing that without any such notable effects, i.e.
> count changes in the text properties, if any, with the text changes.

You are decided to block a solution for this issue, just because. Got
it.